Import("env")  # pylint: disable=undefined-variable
env.Execute("\"$PYTHONEXE\" -m pip install jinja2")

import struct2json
import dtcs
from os import popen

git_revision = popen('git rev-parse --short HEAD').read().strip()

env.Replace(PROGNAME="firmware_%s.fw" % git_revision)
env.Append(CPPDEFINES=[('GIT_REV', '\\"{}\\"'.format(git_revision))])

struct2json.struct2json()
dtcs.build_dtcs()